Package org.apache.lucene.analysis.ja.completion

## Class CharSequenceUtils

- java.lang.Object
- - org.apache.lucene.analysis.ja.completion.CharSequenceUtils

-     public class CharSequenceUtils
      extends Object

  Utility functions for `JapaneseCompletionFilter`

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `isFullWidthLowercaseAlphabet​(char ch)` | Checks if a char is a full-width lowercase alphabet
    `static boolean` | `isKana​(CharSequence s)` | Checks if a char sequence is composed only of Katakana or hiragana
    `static boolean` | `isKatakanaOrHWAlphabets​(CharSequence ref)` | Checks if a char sequence is composed only of Katakana or lowercase alphabets
    `static boolean` | `isLowercaseAlphabets​(CharSequence s)` | Checks if a char sequence is composed only of lowercase alphabets
    `static String` | `toKatakana​(CharSequence s)` | Convert all hiragana in a string into kanataka

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isLowercaseAlphabets

          public static boolean isLowercaseAlphabets​(CharSequence s)

      Checks if a char sequence is composed only of lowercase alphabets

    - #### isKana

          public static boolean isKana​(CharSequence s)

      Checks if a char sequence is composed only of Katakana or hiragana

    - #### isKatakanaOrHWAlphabets

          public static boolean isKatakanaOrHWAlphabets​(CharSequence ref)

      Checks if a char sequence is composed only of Katakana or lowercase alphabets

    - #### isFullWidthLowercaseAlphabet

          public static boolean isFullWidthLowercaseAlphabet​(char ch)

      Checks if a char is a full-width lowercase alphabet

    - #### toKatakana

          public static String toKatakana​(CharSequence s)

      Convert all hiragana in a string into kanataka